@tool
extends EditorPlugin

const DockScene := preload("res://addons/RenamingTool/RenamingTool.tscn")
const Dock := preload("res://addons/RenamingTool/RenamingTool.gd")
var _dockUI

func _enter_tree():
	_dockUI = DockScene.instantiate() as Control
	add_control_to_dock(EditorPlugin.DOCK_SLOT_LEFT_UL,_dockUI)


func _exit_tree():
	remove_control_from_docks(_dockUI)
	_dockUI.free()
